This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 141967 - Bugzilla beta does not word-wrap entered text
Bugzilla beta does not word-wrap entered text
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
2.18
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
Mike MacKenzie
https://bugzilla.redhat.com/bugzilla/...
:
Depends On:
Blocks: BZ_218_Final
  Show dependency treegraph
 
Reported: 2004-12-06 09:50 EST by Gene Wilson
Modified: 2007-04-18 13:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-10 22:04:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gene Wilson 2004-12-06 09:50:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
The text boxes in bugzilla beta do not word-wrap causing long comments
in the resulting bug page that run off the side of the page.  You can
see the results in my bug here:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=141793

I entered that bug using Firefox 1.0 running on FC3

Version-Release number of selected component (if applicable):
2.18

How reproducible:
Didn't try

Steps to Reproduce:
1.Create a new bug using the beta bugzilla
2.Don't use the return key at the end of each line
3.
    

Actual Results:  The lines don't wrap.

Expected Results:  They should wrap.

Additional info:
Comment 1 David Lawrence 2004-12-06 09:54:16 EST
Thanks for the report. We will look into this before the final push of BZ.
Comment 2 David Lawrence 2004-12-10 22:04:56 EST
Changed the all text areas to be 80 columns with a wrap=hard to properly insert
new lines after each line on a word break. Certain things will not wrap properly
this way for example URL's and long lines of text with out any spaces. This is
not that common though. I will open a new report as a RFE to add Text::Wrap
support in the backend for all textarea submissions to automatically wrap for you.

Thanks.
Comment 3 Sitsofe Wheeler 2005-01-04 18:51:31 EST
Has this been pushed out yet? I have just gone and created a mess in bug #144201
after using the Guided Bug Entry form...

Note You need to log in before you can comment on or make changes to this bug.